<?php
$CONFIG = array(

'instanceid' => '',
'passwordsalt' => '',
'trusted_domains' =>
  array (
    'demo.example.org',
    'otherdomain.example.org',
  ),
'datadirectory' => '/var/www/nextcloud/data',

'version' => '',
'dbtype' => 'sqlite3',
'dbhost' => '',
'dbname' => 'nextcloud',
'dbuser' => '',
'dbpassword' => '',
'dbtableprefix' => '',
'installed' => false,
/**
 * Defaults to ``en``
 */
'default_language' => 'en',
/**
 * Defaults to ``false``
 */
'force_language' => 'en',
/**
 * Defaults to ``en``
 */
'default_locale' => 'en_US',
/**
 * Defaults to ``false``
 */
'force_locale' => 'en_US',
'defaultapp' => 'files',
'knowledgebaseenabled' => true,
'allow_user_to_change_display_name' => true,
'remember_login_cookie_lifetime' => 60*60*24*15,
'session_lifetime' => 60 * 60 * 24,
'session_keepalive' => true,

/**
 * Enforce token authentication for clients, which blocks requests using the user
 * password for enhanced security. Users need to generate tokens in personal settings
 * which can be used as passwords on their clients.
 *
 * Defaults to ``false``
 */
'token_auth_enforced' => false,
'auth.bruteforce.protection.enabled' => true,
'skeletondirectory' => '/path/to/nextcloud/core/skeleton',
'user_backends' => array(
	array(
		'class' => 'OC_User_IMAP',
		'arguments' => array('{imap.gmail.com:993/imap/ssl}INBOX')
	)
),
'lost_password_link' => 'https://example.org/link/to/password/reset',
'mail_domain' => 'example.com',
'mail_from_address' => 'nextcloud',
'mail_smtpdebug' => false,
'mail_smtpmode' => 'smtp',
'mail_smtphost' => '127.0.0.1',
'mail_smtpport' => 25,
'mail_smtptimeout' => 10,
'mail_smtpsecure' => '',
'mail_smtpauth' => false,
'mail_smtpauthtype' => 'LOGIN',
'mail_smtpname' => '',
'mail_smtppassword' => '',
'mail_template_class' => '\OC\Mail\EMailTemplate',
'mail_send_plaintext_only' => false,
'mail_sendmailmode' => 'smtp',
'overwritehost' => '',
'overwriteprotocol' => '',
'overwritewebroot' => '',
'overwritecondaddr' => '',
'overwrite.cli.url' => '',
'htaccess.RewriteBase' => '/',
'htaccess.IgnoreFrontController' => false,
'proxy' => '',
'proxyuserpwd' => '',
'trashbin_retention_obligation' => 'auto',
'versions_retention_obligation' => 'auto',
'appcodechecker' => true,
'updatechecker' => true,
'updater.server.url' => 'https://updates.nextcloud.com/updater_server/',
'updater.release.channel' => 'stable',
'has_internet_connection' => true,
'connectivity_check_domains' => array(
	'www.nextcloud.com',
	'www.startpage.com',
	'www.eff.org',
	'www.edri.org'
),
'check_for_working_wellknown_setup' => true,
'check_for_working_htaccess' => true,
'check_data_directory_permissions' => true,
'config_is_read_only' => false,
'log_type' => 'file',
'logfile' => '/var/log/nextcloud.log',
'logfilemode' => 0640,
'loglevel' => 2,
'syslog_tag' => 'Nextcloud',
'log.condition' => [
	'shared_secret' => '57b58edb6637fe3059b3595cf9c41b9',
	'users' => ['sample-user'],
	'apps' => ['files'],
],
'logdateformat' => 'F d, Y H:i:s',
'logtimezone' => 'Europe/Berlin',
'log_query' => false,
'log_rotate_size' => 100 * 1024 * 1024,
'customclient_desktop' =>
	'https://nextcloud.com/install/#install-clients',
'customclient_android' =>
	'https://play.google.com/store/apps/details?id=com.nextcloud.client',
'customclient_ios' =>
	'https://itunes.apple.com/us/app/nextcloud/id1125420102?mt=8',
'customclient_ios_appid' =>
		'1125420102',
'appstoreenabled' => true,

'apps_paths' => array(
	array(
		'path'=> '/var/www/nextcloud/apps',
		'url' => '/apps',
		'writable' => true,
	),
),

'enable_previews' => true,
'preview_max_x' => 4096,
'preview_max_y' => 4096,
'preview_max_filesize_image' => 50,
'preview_libreoffice_path' => '/usr/bin/libreoffice',
'preview_office_cl_parameters' =>
'enabledPreviewProviders' => array(
	'OC\Preview\PNG',
	'OC\Preview\JPEG',
	'OC\Preview\GIF',
	'OC\Preview\HEIC',
	'OC\Preview\BMP',
	'OC\Preview\XBitmap',
	'OC\Preview\MP3',
	'OC\Preview\TXT',
	'OC\Preview\MarkDown'
),
'ldapUserCleanupInterval' => 51,
'sort_groups_by_name' => false,
'comments.managerFactory' => '\OC\Comments\ManagerFactory',
'systemtags.managerFactory' => '\OC\SystemTag\ManagerFactory',
'maintenance' => false,
'openssl' => array(
	'config' => '/absolute/location/of/openssl.cnf',
),
'memcache.local' => '\OC\Memcache\APCu',
'memcache.distributed' => '\OC\Memcache\Memcached',
'redis' => [
	'host' => 'localhost', // can also be a unix domain socket: '/tmp/redis.sock'
	'port' => 6379,
	'timeout' => 0.0,
	'password' => '', // Optional, if not defined no password will be used.
	'dbindex' => 0, // Optional, if undefined SELECT will not run and will use Redis Server's default DB Index.
],

'redis.cluster' => [
	'seeds' => [ // provide some/all of the cluster servers to bootstrap discovery, port required
		'localhost:7000',
		'localhost:7001',
	],
	'timeout' => 0.0,
	'read_timeout' => 0.0,
	'failover_mode' => \RedisCluster::FAILOVER_ERROR,
	'password' => '', // Optional, if not defined no password will be used.
],

'memcached_servers' => array(
	array('localhost', 11211),
	//array('other.host.local', 11211),
),

'memcached_options' => array(
	// Set timeouts to 50ms
	\Memcached::OPT_CONNECT_TIMEOUT => 50,
	\Memcached::OPT_RETRY_TIMEOUT =>   50,
	\Memcached::OPT_SEND_TIMEOUT =>    50,
	\Memcached::OPT_RECV_TIMEOUT =>    50,
	\Memcached::OPT_POLL_TIMEOUT =>    50,

	// Enable compression
	\Memcached::OPT_COMPRESSION =>          true,

	// Turn on consistent hashing
	\Memcached::OPT_LIBKETAMA_COMPATIBLE => true,

	// Enable Binary Protocol
	\Memcached::OPT_BINARY_PROTOCOL =>      true,

	// Binary serializer vill be enabled if the igbinary PECL module is available
	//\Memcached::OPT_SERIALIZER => \Memcached::SERIALIZER_IGBINARY,
),
'cache_path' => '',
'cache_chunk_gc_ttl' => 60*60*24,
'objectstore' => [
	'class' => 'OC\\Files\\ObjectStore\\Swift',
	'arguments' => [
		// trystack will use your facebook id as the user name
		'username' => 'facebook100000123456789',
		// in the trystack dashboard go to user -> settings -> API Password to
		// generate a password
		'password' => 'Secr3tPaSSWoRdt7',
		// must already exist in the objectstore, name can be different
		'container' => 'nextcloud',
		// prefix to prepend to the fileid, default is 'oid:urn:'
		'objectPrefix' => 'oid:urn:',
		// create the container if it does not exist. default is false
		'autocreate' => true,
		// required, dev-/trystack defaults to 'RegionOne'
		'region' => 'RegionOne',
		// The Identity / Keystone endpoint
		'url' => 'http://8.21.28.222:5000/v2.0',
		// required on dev-/trystack
		'tenantName' => 'facebook100000123456789',
		// dev-/trystack uses swift by default, the lib defaults to 'cloudFiles'
		// if omitted
		'serviceName' => 'swift',
		// The Interface / url Type, optional
		'urlType' => 'internal'
	],
],
'objectstore' => [
	'class' => 'OC\\Files\\ObjectStore\\Swift',
	'arguments' => [
		'autocreate' => true,
		'user' => [
			'name' => 'swift',
			'password' => 'swift',
			'domain' => [
				'name' => 'default',
			],
		],
		'scope' => [
			'project' => [
				'name' => 'service',
				'domain' => [
					'name' => 'default',
				],
			],
		],
		'tenantName' => 'service',
		'serviceName' => 'swift',
		'region' => 'regionOne',
		'url' => 'http://yourswifthost:5000/v3',
		'bucket' => 'nextcloud',
	],
],
'sharing.managerFactory' => '\OC\Share20\ProviderFactory',
'sharing.maxAutocompleteResults' => 0,
'sharing.minSearchStringLength' => 0,
'dbdriveroptions' => array(
	PDO::MYSQL_ATTR_SSL_CA => '/file/path/to/ca_cert.pem',
	PDO::MYSQL_ATTR_INIT_COMMAND => 'SET wait_timeout = 28800'
),
'sqlite.journal_mode' => 'DELETE',
'mysql.utf8mb4' => false,
'supportedDatabases' => array(
	'sqlite',
	'mysql',
	'pgsql',
	'oci',
),
'tempdirectory' => '/tmp/nextcloudtemp',
'hashingCost' => 10,
'blacklisted_files' => array('.htaccess'),
'share_folder' => '/',
'theme' => '',
'cipher' => 'AES-256-CFB',
'minimum.supported.desktop.version' => '2.0.0',
'quota_include_external_storage' => false,
'filesystem_check_changes' => 0,
'part_file_in_storage' => true,
'mount_file' => '/var/www/nextcloud/data/mount.json',
'filesystem_cache_readonly' => false,
'secret' => '',
'trusted_proxies' => array('203.0.113.45', '198.51.100.128', '192.168.2.0/24'),
'forwarded_for_headers' => array('HTTP_X_FORWARDED', 'HTTP_FORWARDED_FOR'),
'max_filesize_animated_gifs_public_sharing' => 10,
'filelocking.enabled' => true,
'filelocking.ttl' => 60*60,
'memcache.locking' => '\\OC\\Memcache\\Redis',
'filelocking.debug' => false,
'upgrade.disable-web' => false,

'debug' => false,

'data-fingerprint' => '',

'copied_sample_config' => true,

'lookup_server' => 'https://lookup.nextcloud.com',

'gs.enabled' => false,

'gs.federation' => 'internal',

'csrf.optout' => array(
	'/^WebDAVFS/', // OS X Finder
	'/^Microsoft-WebDAV-MiniRedir/', // Windows webdav drive
),

'simpleSignUpLink.shown' => true,
'login_form_autocomplete' => true,
);