<?php
$CONFIG = array(

'knowledgebaseenabled' => true,
'allow_user_to_change_display_name' => true,

'skeletondirectory' => '/path/to/nextcloud/core/skeleton',

'trashbin_retention_obligation' => 'auto',
'versions_retention_obligation' => 'auto',




'has_internet_connection' => true,
'connectivity_check_domains' => array(
	'www.nextcloud.com',
	'www.startpage.com',
	'www.eff.org',
	'www.edri.org'
),

'appcodechecker' => true,
'check_for_working_wellknown_setup' => true,
'check_for_working_htaccess' => true,
'check_data_directory_permissions' => true,


'ldapUserCleanupInterval' => 51,

'sort_groups_by_name' => false,

'comments.managerFactory' => '\OC\Comments\ManagerFactory',
'systemtags.managerFactory' => '\OC\SystemTag\ManagerFactory',

'maintenance' => false,

'openssl' => array(
	'config' => '/absolute/location/of/openssl.cnf',
),

'memcache.local' => '\OC\Memcache\APCu',
'memcache.distributed' => '\OC\Memcache\Memcached',

'memcached_servers' => array(
	array('localhost', 11211),
	//array('other.host.local', 11211),
),

'memcached_options' => array(
	// Set timeouts to 50ms
	\Memcached::OPT_CONNECT_TIMEOUT => 50,
	\Memcached::OPT_RETRY_TIMEOUT =>   50,
	\Memcached::OPT_SEND_TIMEOUT =>    50,
	\Memcached::OPT_RECV_TIMEOUT =>    50,
	\Memcached::OPT_POLL_TIMEOUT =>    50,

	// Enable compression
	\Memcached::OPT_COMPRESSION =>          true,

	// Turn on consistent hashing
	\Memcached::OPT_LIBKETAMA_COMPATIBLE => true,

	// Enable Binary Protocol
	\Memcached::OPT_BINARY_PROTOCOL =>      true,

	// Binary serializer vill be enabled if the igbinary PECL module is available
	//\Memcached::OPT_SERIALIZER => \Memcached::SERIALIZER_IGBINARY,
),

'cache_path' => '',
'cache_chunk_gc_ttl' => 60*60*24,

'filelocking.enabled' => true,
'filelocking.ttl' => 60*60,
'memcache.locking' => '\\OC\\Memcache\\Redis',
'filelocking.debug' => false,

'sharing.managerFactory' => '\OC\Share20\ProviderFactory',
'sharing.maxAutocompleteResults' => 0,
'sharing.minSearchStringLength' => 0,

'dbdriveroptions' => array(
	PDO::MYSQL_ATTR_SSL_CA => '/file/path/to/ca_cert.pem',
	PDO::MYSQL_ATTR_INIT_COMMAND => 'SET wait_timeout = 28800'
),

'supportedDatabases' => array(
	'sqlite',
	'mysql',
	'pgsql',
	'oci',
),

'tempdirectory' => '/tmp/nextcloudtemp',
'hashingCost' => 10,
'blacklisted_files' => array('.htaccess'),
'share_folder' => '/',
'theme' => '',
'cipher' => 'AES-256-CFB',

'quota_include_external_storage' => false,
'filesystem_check_changes' => 0,

'part_file_in_storage' => true,
'mount_file' => '/var/www/nextcloud/data/mount.json',
'filesystem_cache_readonly' => false,




'max_filesize_animated_gifs_public_sharing' => 10,


'data-fingerprint' => '',

'copied_sample_config' => true,

'lookup_server' => 'https://lookup.nextcloud.com',
'gs.enabled' => false,
'gs.federation' => 'internal',

'csrf.optout' => array(
	'/^WebDAVFS/', // OS X Finder
	'/^Microsoft-WebDAV-MiniRedir/', // Windows webdav drive
),

'simpleSignUpLink.shown' => true,
'login_form_autocomplete' => true,
);